Why do I have i686 packages I never requested

As far as I know I never require i686 packages. When executing dnf repoquery --installed *.i686 though I get a list of packages that I never requested. I also noticed both gtk2 and gtk3 have i686 packages installed. My questions are:

  1. Is there a reason that Fedora requires these i686 packages even if I didn’t ask for them?
  2. Is this related to being able to run 32 bits programs under 64 bits?
  3. Can I remove these packages without risk of systemdamage?

I also ran the --whatdepends option of above command, but the only package that keeps returning is gtk2 and gtk3.

Can anyone point me in the direction so I can understand this?

Some applications still have a limited dependency on legacy 32bit libraries and utilities.
This is normal.

Older graphical applications especially tend to use them. Even if you never call them directly, it may be important that they be present under some circumstances.

That’s all, just some legacy support.
If you know for a fact that you’ll never use an application that will make these 32bit calls, then it’s probably safe to remove them, but it doesn’t hurt to keep them around either, and you might find yourself reinstalling them at some point.

1 Like

Thank you for the info. That probably is indeed the case. I will just let them be.

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.